aboutsummaryrefslogtreecommitdiff
path: root/autogen.bash
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-01-19 23:47:58 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-01-19 23:47:58 +0000
commit867d2b7dfb8b82ec8a731080f6b51642ced8baf3 (patch)
tree992d0435a02fd37db712d16c374127f782bf8bec /autogen.bash
parentb62836c62ecb1769687e6290f765b5a946082951 (diff)
downloadpaludis-867d2b7dfb8b82ec8a731080f6b51642ced8baf3.tar.gz
paludis-867d2b7dfb8b82ec8a731080f6b51642ced8baf3.tar.xz
Regenerate m4-created files where needed. Should only affect SVN users who don't rerun ./autogen.bash after every update. Normal users (if we ever get any) shouldn't ever hit this, and so won't need the GNU m4 dependency.
Diffstat (limited to 'autogen.bash')
-rwxr-xr-xautogen.bash23
1 files changed, 4 insertions, 19 deletions
diff --git a/autogen.bash b/autogen.bash
index e9ecfac5d..8d738527f 100755
--- a/autogen.bash
+++ b/autogen.bash
@@ -17,14 +17,6 @@ run() {
fi
}
-make_from_m4() {
- echo ">>> $(get_m4 ) -E ${1}.m4 > ${1}"
- if ! $(get_m4 ) -E ${1}.m4 > ${1} ; then
- echo "oops!" 1>&2
- exit 127
- fi
-}
-
get() {
type ${1}-${2} &>/dev/null && echo ${1}-${2} && return
type ${1}${2//.} &>/dev/null && echo ${1}${2//.} && return
@@ -33,17 +25,10 @@ get() {
kill $KILL_PID
}
-get_m4() {
- type "gm4" &>/dev/null && echo gm4 && return
- type "m4" &>/dev/null && echo m4 && return
- echo "Could not find m4" 1>&2
- kill $KILL_PID
-}
-
-make_from_m4 paludis/Makefile.am
-make_from_m4 paludis/paludis.hh
-make_from_m4 paludis/smart_record.hh
-make_from_m4 paludis/comparison_policy.hh
+misc/do_m4.bash paludis/Makefile.am || exit $?
+misc/do_m4.bash paludis/paludis.hh || exit $?
+misc/do_m4.bash paludis/smart_record.hh || exit $?
+misc/do_m4.bash paludis/comparison_policy.hh || exit $?
run mkdir -p config
run $(get libtoolize 1.5 ) --copy --force --automake
rm -f config.cache